using System;
using System.Collections.Generic;
using System.Text;

namespace Domain
{
    #region Book

    /// <summary>
    /// Domain class of table [Book].
    /// </summary>
    [Serializable]
    public class Book
    {
        #region Private fields

        private int _bookId;

        private string _bookName = String.Empty;
        private int _categoryId;
        private string _author = String.Empty;
        private string _memo = String.Empty;

        #endregion

        #region Constructors

        // Instantiate empty Book for inserting
        public Book() { }

        // Retrieve Book with Id for updating
        public Book(int bookId)
        {
            this._bookId = bookId;
        }

        #endregion

        #region Public properties

        public int BookId
        {
            get { return _bookId; }
            set { _bookId = value; }
        }


        public string BookName
        {
            get { return _bookName; }
            set { _bookName = value; }
        }

        public int CategoryId
        {
            get { return _categoryId; }
            set { _categoryId = value; }
        }

        public string Author
        {
            get { return _author; }
            set { _author = value; }
        }

        public string Memo
        {
            get { return _memo; }
            set { _memo = value; }
        }

        #endregion
    }

    #endregion
}
