using System;
using System.Collections.Generic;
using System.Text;
using System.Data.SqlClient;

using Domain;
using System.Data;


namespace UsingADO.NET
{
    public class EmployeeManager
    {
        public static Employee GetEmployee(int number)
        {
            Employee employee = null;

            string connString = "Server=(local);Database=iBatisInAction;Uid=sa;Pwd=sa;";
            // Our SQL is buried here.
            string sql = "SELECT * FROM EMPLOYEE WHERE EMPLOYEE_NUMBER = @EmployeeNumber";

            SqlConnection conn = null;
            SqlCommand command = null;
            SqlDataReader reader = null;
            try
            {
                conn = new SqlConnection(connString);
                conn.Open();
                command = new SqlCommand(sql, conn);
                //SqlParameter para = new SqlParameter("EmployeeNumber", SqlDbType.Int);
                //para.Value = id;
                command.Parameters.Add("@EmployeeNumber", SqlDbType.Int).Value = number;
                reader = command.ExecuteReader(CommandBehavior.CloseConnection);
                while (reader.Read())
                {
                    employee = new Employee();
                    employee.Id = Convert.ToInt32(reader["ID"]);
                    employee.EmployeeNumber = Convert.ToInt32(reader["EMPLOYEE_NUMBER"]);
                    employee.FirstName = reader["FIRST_NAME"] as string;
                    employee.LastName = reader["LAST_NAME"] as string;
                    employee.Title = reader["TITLE"] as string;
                }
            }
            finally
            {
                try
                {
                    if (reader != null)
                    {
                        reader.Close();
                    }
                }
                finally
                {
                    if (conn != null)
                    {
                        conn.Close();
                    }
                }                
            }
            return employee;
        }
    }
}
